import request from '@/utils/request'

// 查询账户交易记录列表
export function listAccountDealRecord(query) {
  return request({
    url: '/invest/accountDealRecord/list',
    method: 'get',
    params: query
  })
}

// 查询账户交易记录详细
export function getAccountDealRecord(id) {
  return request({
    url: '/invest/accountDealRecord/' + id,
    method: 'get'
  })
}

// 新增账户交易记录
export function addAccountDealRecord(data) {
  return request({
    url: '/invest/accountDealRecord',
    method: 'post',
    data
  })
}

// 修改账户交易记录
export function updateAccountDealRecord(data) {
  return request({
    url: '/invest/accountDealRecord',
    method: 'put',
    data
  })
}

// 删除账户交易记录
export function delAccountDealRecord(id) {
  return request({
    url: '/invest/accountDealRecord/' + id,
    method: 'delete'
  })
}
